Important Security Notice

Apr 15, 2014


The recently revealed OpenSSL "Heartbleed" vulnerability that affected a large number of websites also affected Neomailbox. Upon learning about the vulnerability we immediately updated the OpenSSL libraries on our servers, and have now also completed generating and installing new OpenSSL keys and certificates across all our services.

All Neomailbox servers are now free of the Heartbleed vulnerability and are no longer using any potentially compromised OpenSSL keys.

All customers are advised to change all their Neomailbox passwords immediately to ensure they are not using passwords that may have been revealed as a result of this vulnerability.

If you have any questions, please don't hesitate to contact us.

Try Risk-Free


Our 30-day money back guarantee enables you to try any of our services risk-free.